aboutsummaryrefslogtreecommitdiff
path: root/test.bash
diff options
context:
space:
mode:
authorJakob Unterwurzacher2016-12-10 11:54:54 +0100
committerJakob Unterwurzacher2016-12-10 11:54:54 +0100
commit3e5904114795ddb6863c6c46f366ac36c83d1c04 (patch)
tree1374f084391a960e5e437ed4ec0497d27f557514 /test.bash
parentc9f4400e6dc71a36df5dc9725f52a8968f5f9803 (diff)
test.bash: check for naked "panic()" calls
Diffstat (limited to 'test.bash')
-rwxr-xr-xtest.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/test.bash b/test.bash
index bf47ee3..aa1adc7 100755
--- a/test.bash
+++ b/test.bash
@@ -37,4 +37,9 @@ else
echo "\"go tool vet\" not available - skipping"
fi
+if grep -R "panic(" internal ; then
+ echo "Please use log.Panic instead of naked panic!"
+ exit 1
+fi
+
) 200> $LOCKFILE